--
-- Patch DML de GRHUM du 27/11/2012 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2/2
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 
-- Date de publication : 27/11/2012
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--


WHENEVER SQLERROR EXIT SQL.SQLCODE;



--
-- DB_VERSION
--
INSERT INTO GRHUM.DB_VERSION VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL, '1.7.1.19', TO_DATE('26/11/2012', 'DD/MM/YYYY'),NULL,'Mise à jour de INS_RIBFOUR_ULR, des situations familiales, etc');
commit;


--
-- Actualisation de GRHUM.SITUATION_FAMILIALE
--
UPDATE "GRHUM"."SITUATION_FAMILIALE" SET L_SITUATION_FAMILLE = 'VEUF/VEUVE' WHERE C_SITUATION_FAMILLE='V';

UPDATE "GRHUM"."SITUATION_FAMILIALE" SET L_SITUATION_FAMILLE = 'MARIE(E)' WHERE C_SITUATION_FAMILLE='M';

UPDATE "GRHUM"."SITUATION_FAMILIALE" SET L_SITUATION_FAMILLE = 'DIVORCE(E)' WHERE C_SITUATION_FAMILLE='D';

UPDATE "GRHUM"."SITUATION_FAMILIALE" SET L_SITUATION_FAMILLE = 'SEPARE(E)' WHERE C_SITUATION_FAMILLE='S';

--
-- Actualisation de GRHUM.RNE
--
update grhum.rne set adresse=upper('2 rue de la Visitation'), code_postal='54000', ville='NANCY' where c_rne='0540038Y';


--
-- Ajouts dans la table GRHUM.PAYS
--

Insert into GRHUM.PAYS (C_PAYS,LL_PAYS,LC_PAYS,L_NATIONALITE,D_DEB_VAL,D_FIN_VAL,D_CREATION,D_MODIFICATION,CODE_ISO,L_EDITION,LL_PAYS_EN,ISO_3166_3) values ('974','LA REUNION','REUNION','Français',null,null,SYSDATE,SYSDATE,'re','La réunion','Réunion','REU');

Insert into GRHUM.PAYS (C_PAYS,LL_PAYS,LC_PAYS,L_NATIONALITE,D_DEB_VAL,D_FIN_VAL,D_CREATION,D_MODIFICATION,CODE_ISO,L_EDITION,LL_PAYS_EN,ISO_3166_3) values ('971','GUADELOUPE','GUADELOUPE','Français',null,null,SYSDATE,SYSDATE,'gp','Guadeloupe','Guadeloupe','GLP');

Insert into GRHUM.PAYS (C_PAYS,LL_PAYS,LC_PAYS,L_NATIONALITE,D_DEB_VAL,D_FIN_VAL,D_CREATION,D_MODIFICATION,CODE_ISO,L_EDITION,LL_PAYS_EN,ISO_3166_3) values ('975','GUYANE FRANCAISE','GUYANE','Français',null,null,SYSDATE,SYSDATE,'gf','Guyane Française','French Guiana','GUF');





--
-- DB_VERSION
--
UPDATE GRHUM.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='1.7.1.19';


COMMIT;